﻿namespace Plane.Messaging
{
    public class RequestUpdateAttitudeMessage
    {
        public RequestUpdateAttitudeMessage(float rollDegrees, float pitchDegrees, float? yawDegrees)
        {
            this.RollDegrees = rollDegrees;
            this.PitchDegrees = pitchDegrees;
            this.YawDegrees = yawDegrees;
        }

        /// <summary>
        /// 获取绕 X 轴的旋转（以度为单位）。
        /// </summary>
        public float PitchDegrees { get; }

        /// <summary>
        /// 获取绕 Y 轴的旋转（以度为单位）。
        /// </summary>
        public float RollDegrees { get; }

        /// <summary>
        /// 获取绕 Z 轴的旋转（以度为单位，正北 0，正东 90，范围为 [0, 360)）。
        /// </summary>
        public float? YawDegrees { get; }
    }
}
